ON_MappingChannel Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_mapchan.h>`

## Public Member Functions

| ON_MappingChannel ()
void | Default ()
int | Compare (const ON_MappingChannel &other) const
bool | Write (ON_BinaryArchive &archive) const
bool | Read (ON_BinaryArchive &archive)

## Public Attributes

ON_UUID | m_mapping_id
int | m_mapping_index
int | m_mapping_channel_id
ON_Xform | m_object_xform

## Detailed Description

Definition at line 34 of file opennurbs_mapchan.h.

## Constructor & Destructor Documentation

## ON_MappingChannel()

ON_MappingChannel::ON_MappingChannel | ( |  | ) |

## Member Function Documentation

## Compare()

int ON_MappingChannel::Compare | ( | const ON_MappingChannel & | other | ) | const

## Default()

void ON_MappingChannel::Default | ( |  | ) |

## Read()

bool ON_MappingChannel::Read | ( | ON_BinaryArchive & | archive | ) |

## Write()

bool ON_MappingChannel::Write | ( | ON_BinaryArchive & | archive | ) | const

## Member Data Documentation

## m_mapping_channel_id

int ON_MappingChannel::m_mapping_channel_id

Definition at line 52 of file opennurbs_mapchan.h.

## m_mapping_id

ON_UUID ON_MappingChannel::m_mapping_id

Definition at line 43 of file opennurbs_mapchan.h.

## m_mapping_index

int ON_MappingChannel::m_mapping_index

Definition at line 47 of file opennurbs_mapchan.h.

## m_object_xform

ON_Xform ON_MappingChannel::m_object_xform

Definition at line 64 of file opennurbs_mapchan.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_mapchan.h